Subject: bug#19208: replace-match unhelpful error message

From: Richard Stallman <[email-masked]>
Date: Sun, 04 Aug 2019 22:25:32 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I think ((120 < height) && (height < 200)) is the closest we can get to
  > the natural phrasing.

That parallels the mathematical expression 120 < h < 200, which is a
plus, but doesn't parallel the textual form "height must be between
120 and 200", which is a minus.

The way to parallel the latter is (height > 120 && height < 200).

I think both of those are ok, but let's avoid other orderings
-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)